! ----------------------------------------------------------- !
      module gmm 
! ----------------------------------------------------------- !
! This contain non-message passing global variables.
! ----------------------------------------------------------- !
      implicit none

      integer, parameter :: mp = 1500 
      integer :: iprt
      integer :: ikill
      integer :: ilast
      integer,dimension(0:32) :: nho
      integer :: maxiter
      integer :: iter
      integer, dimension(0:32) :: iwait_ary
      integer :: idiag
      integer :: isumconvrg
      integer, dimension(0:32) :: iconvrg
      integer, dimension(0:32) :: iconsum
      integer :: nprints
      integer :: itd
      integer :: ntsteps
      integer :: itimesteps
      integer :: istdout
      integer :: iprint
      integer :: nnn
      real(8) :: dna 
      real(8), dimension(0:32) :: fdna
      real(8), dimension(0:32) :: fracspec
      real(8) :: eps
      real(8) :: sumfrac
      real(8) :: t
      real(8) :: hnu1
      real(8) :: hnu2
      real(8) :: fwhm
      real(8) :: totpop(mp)
      real(8) :: radat(mp,7)
      real(8) :: dne
      real(8) :: zbars(0:32)
      real(8) :: zbarinit(0:32)
      real(8) :: time 
      real(8) :: timep(101)
      real(8) :: tinitial
      real(8) :: tfinal 
      real(8) :: deltat
      real(8) :: steptp
      real(8) :: auxre
      character(len=2)   :: auxelmt
      character(len=66)  :: elmt
      character(len=100),external :: dir
      character(len=100) :: c_aux
      end  
